package com.ruoyi.dxp.mapper;

import java.util.List;
import com.ruoyi.dxp.domain.UserCompany;
import com.ruoyi.dxp.dto.UserCompanyDto;

/**
 * 外部用户Mapper接口
 * 
 * @author jy
 * @date 2022-11-07
 */
public interface UserCompanyMapper 
{
    /**
     * 查询外部用户
     * 
     * @param userId 外部用户主键
     * @return 外部用户
     */
    public UserCompanyDto selectUserCompanyByUserId(Long userId);

    /**
     * 查询外部用户列表
     * 
     * @param userCompany 外部用户
     * @return 外部用户集合
     */
    public List<UserCompanyDto> selectUserCompanyList(UserCompanyDto userCompany);

    /**
     * 新增外部用户
     * 
     * @param userCompany 外部用户
     * @return 结果
     */
    public int insertUserCompany(UserCompany userCompany);

    /**
     * 修改外部用户
     * 
     * @param userCompany 外部用户
     * @return 结果
     */
    public int updateUserCompany(UserCompany userCompany);

    /**
     * 删除外部用户
     * 
     * @param userId 外部用户主键
     * @return 结果
     */
    public int deleteUserCompanyByUserId(Long userId);

    /**
     * 批量删除外部用户
     * 
     * @param userIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteUserCompanyByUserIds(Long[] userIds);
}
